### `tf.train.match_filenames_once(pattern, name=None)` {#match_filenames_once}

Save the list of files matching pattern, so it is only computed once.

##### Args:


*  <b>`pattern`</b>: A file pattern (glob).
*  <b>`name`</b>: A name for the operations (optional).

##### Returns:

  A variable that is initialized to the list of files matching pattern.

